Summary:	Shane's Chess Information Database
Name:		scid
Version:	4.7.0
%define major     %(echo %{version}|cut -d. -f1,2)
Release:	%mkrel 3
Group:		Games/Boards
License:	GPLv2+
Source0:	https://downloads.sourceforge.net/project/scid/Scid/Scid%20%{major}/%{name}-code-%{version}.zip
Source1:	%{name}.png
Patch0:		scid-4.6.2-mga-paths.patch
Patch1:		scid-4.7.0-mga-gtest.patch
Patch2:		scid-4.7.0-mga-installdir.patch
Patch3:		scid-4.7.0-mga-tests.patch
URL:		http://scid.sourceforge.net
BuildRequires:	cmake
BuildRequires:	tcl-devel
BuildRequires:	tk-devel
BuildRequires:	pkgconfig(gtest)
BuildRequires:	python3-devel
Recommends:	nail
Recommends:	tcl-snack
Conflicts:	scidvspc

%description
Scid (Shane's Chess Information Database) is a free chess database app.

With Scid you can maintain a database of chess games, search games by
many criteria, view graphical trends, and produce printable reports on
players and openings.

You can also analyze games with the Xboard or UCI compatible chess
program, and even use Scid to study endings with endgame tablebases.

With Scid you can also play against various engines, or on the Internet.

%prep
%setup -q -n %{name}
%autopatch -p1

%build
2to3 --no-diffs -w scripts
sed -i -e '1s/python$/python3/' scripts/*.py
sed -i -E -e 's/string\.(strip|lower)\((.*)\)/\2.\1()/' scripts/*.py
sed -i -E -e 's/string\.join\(([^,]*), *([^)]*)\)/\2.join(\1)/' scripts/*.py
%cmake -DGTEST=ON
%cmake_build
%make_build -C engines/togaII1.2.1a/src CXXFLAGS="$CXXFLAGS" LDFLAGS="$LDFLAGS" 

%check
build/gtest/scid_tests

%install
%cmake_install

%__install -m0755 -D engines/togaII1.2.1a/src/togaII %{buildroot}%{_bindir}/togaII
mkdir -p %{buildroot}%{_datadir}/%{name}/bases
cp scid*.eco %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_iconsdir}/hicolor/128x128/apps
cp %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/128x128/apps

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Scid
Comment=Chess games database
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=BoardGame;Game;
EOF

%files
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/*/*/*/%{name}.*
%doc ChangeLog TODO bitmaps/ help/
%license COPYING


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 4.7.0-3.mga9
+ Revision: 1832992
- Mageia 9 Mass Rebuild
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Sat Mar 21 2020 danf <danf> 4.7.0-2.mga8
+ Revision: 1558659
- tests.patch to fix tests on ARM
- Update to version 4.7.0
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 4.6.4-2.mga7
+ Revision: 1300941
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 kekepower <kekepower> 4.6.4-1.mga7
+ Revision: 1221242
- Update to version 4.6.4

* Wed Sep 20 2017 cjw <cjw> 4.6.2-4.mga7
+ Revision: 1156196
- pass optflags to make, to fix debug packages

* Mon Oct 03 2016 pterjan <pterjan> 4.6.2-3.mga6
+ Revision: 1058211
- Fix build when char defaults to unsigned (e.g. arm)

* Sat Feb 20 2016 umeabot <umeabot> 4.6.2-2.mga6
+ Revision: 971989
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 danf <danf> 4.6.2-1.mga6
+ Revision: 894011
- Upgraded to ver. 4.6.2
- Enabled sound

* Wed Oct 15 2014 umeabot <umeabot> 4.4-4.mga5
+ Revision: 747086
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.4-3.mga5
+ Revision: 689054
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 4.4-2.mga4
+ Revision: 545003
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dams <dams> 4.4-1.mga4
+ Revision: 500588
- new version 4.4

* Mon Jan 14 2013 umeabot <umeabot> 4.3-4.mga3
+ Revision: 381813
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 26 2012 dams <dams> 4.3-3.mga3
+ Revision: 274516
- Add a conflict with 'scidvspc'

* Thu Jul 26 2012 dams <dams> 4.3-2.mga3
+ Revision: 274494
- update '%%summary' and '%%description'

* Fri Jul 20 2012 dams <dams> 4.3-1.mga3
+ Revision: 272852
- imported package scid

